Page MenuHomePhabricator

nodemap: never read more than the expected data amount
ClosedPublic

Authored by marmoute on Jan 15 2020, 9:56 AM.

Details

Summary

Since we are tracking this number we can use it to detect corrupted rawdata file
and to only read the correct amount of data when possible.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 15 2020, 9:56 AM
marmoute updated this revision to Diff 19773.Jan 31 2020, 10:30 AM
marmoute updated this revision to Diff 19800.Jan 31 2020, 6:01 PM
marmoute updated this revision to Diff 19844.Feb 2 2020, 3:19 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19904.Feb 4 2020, 7:25 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.